<div class="card shadow mb-4">
    <div class="card-header">
        Dispatch Lots:
        <div class="dropdown no-arrow pull-right">
            <button *ngIf="userRole!='Admin'" type="button" class="btn btn-sm btn-custom"
                (click)="createDispatchLotForm()" data-toggle="modal" data-target="#addDispatchLot"
                data-backdrop="static" data-keyboard="false">Add Dispatch Lot</button>
            <input type="hidden" id="po_number" value="{{order_id}}" name="po_number">
        </div>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                    <thead>
                        <tr>
                            <th>Dispatch Lot</th>
                            <th>ERP</th>
                            <th>Quantity</th>
                            <th>Total Cartons</th>
                            <th>Helpers</th>
                            <th>Dispatch Address</th>
                            <th>Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr *ngFor="let lot of lots | paginate: { itemsPerPage: 10, currentPage: p }">
                            <td><a href="" data-toggle="modal" data-target="#viewDispatchLot"
                                    (click)="selectedLot=lot">{{lot.dispatch_lot}}</a></td>
                            <td>{{lot.erp_title}}</td>
                            <td>{{lot.quantity}}</td>
                            <td>{{lot.total_cartons}} - <a href="" data-toggle="modal" data-target="#viewCartonContent"
                                    (click)="viewCartonContent(lot)" aria-hidden="true">See Deatils</a>

                            </td>
                            <td>{{lot.helpers}}</td>
                            <td>{{lot.address}}, {{lot.country}}, {{lot.zip}}</td>
                            <td>
                                <i data-toggle="modal" data-target="#addDispatchLot" (click)="editDispatchLot(lot)"
                                    class="fa fa-edit mr-1 text-primary" aria-hidden="true"></i>
                            </td>
                        </tr>
                        <tr *ngIf="lots==''">
                            <td colspan="7" class="text-center">No Records Found</td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <div class="row d-flex justify-content-center">
                <pagination-controls *ngIf="lots!=''" class="my-pagination" (pageChange)="p = $event">
                </pagination-controls>
            </div>
        </div>
    </div>
</div>

<!-----------Add Dispatch Lot Form Modal------------------------>
<div id="addDispatchLot" class="modal fade largeModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Dispatch Lot</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditDispatchLot()" [formGroup]="dispatchLotForm">
                    <div class="row form-group">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label> ERP:</label>
                            <select formControlName="erp" class="form-control dropdown">
                                <option *ngFor="let e of erps" value="{{e.erp_id}}">{{e.erp_title}}</option>
                            </select>
                <div *ngIf="submitted && f.erp.errors" class="errors">
                                <div *ngIf="f.erp.errors.required">ERP is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Dispatch Lot:</label>
                            <input formControlName="dispatch_lot" type="text" class="form-control form-control-user">
                            <div *ngIf="submitted && f.dispatch_lot.errors" class="errors">
                                <div *ngIf="f.dispatch_lot.errors.required">Dispatch Lot is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Number of Cartons:</label>
                            <input formControlName="total_cartons" type="number" class="form-control form-control-user">
                            <div *ngIf="submitted && f.total_cartons.errors" class="errors">
                                <div *ngIf="f.total_cartons.errors.required">Total Cartons is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Total Quantity</label>
                            <input formControlName="quantity" type="number" class="form-control form-control-user">
                            <div *ngIf="submitted && f.quantity.errors" class="errors">
                                <div *ngIf="f.quantity.errors.required">Quantity is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Number of Helpers:</label>
                            <input formControlName="helpers" type="number" class="form-control form-control-user">
                            <div *ngIf="submitted && f.helpers.errors" class="errors">
                                <div *ngIf="f.helpers.errors.required">Helpers is required</div>
                            </div>
                        </div>

                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Address:</label>
                            <input formControlName="address" type="text" class="form-control form-control-user">
                            <div *ngIf="submitted && f.address.errors" class="errors">
                                <div *ngIf="f.address.errors.required">Address is required</div>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Country:</label>
                            <input formControlName="country" type="text" class="form-control form-control-user">
                            <div *ngIf="submitted && f.country.errors" class="errors">
                                <div *ngIf="f.country.errors.required">Country is required</div>
                            </div>
                        </div>

                        <div class="col-sm-6 mb-3 mb-sm-0">
                            <label>Zip:</label>
                            <input formControlName="zip" type="number" class="form-control form-control-user">
                            <div *ngIf="submitted && f.zip.errors" class="errors">
                                <div *ngIf="f.zip.errors.required">Zip is required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3 mb-sm-0">
                        </div>
                        <div class="col-sm-4 mb-3 mb-sm-0">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</div>


<!-----------View Dispatch Lot Form Modal------------------------>
<div id="viewCartonContent" class="modal fade largeModal" role="dialog" *ngIf="selectedLot!=''">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Carton Contents : {{selectedLot.erp_title}} / {{selectedLot.dispatch_lot}}</h6>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditCartonContent()" [formGroup]="cartonContentForm">
                    <input formControlName="dispatch_no" type="hidden">
                    <div class="row form-group">
                        <div class="col-sm-3 mb-3 mb-sm-0">
                            <label>Carton Number:</label>
                            <input formControlName="carton_number" type="number" class="form-control form-control-user">
                            <div *ngIf="submitted && f1.carton_number.errors" class="errors">
                                <div *ngIf="f1.carton_number.errors.required">Carton Number is required</div>
                            </div>
                        </div>
                        <div class="col-sm-3 mb-3 mb-sm-0">
                            <label>Size:</label>
                            <input formControlName="size" type="number" class="form-control form-control-user">
                            <div *ngIf="submitted && f1.size.errors" class="errors">
                                <div *ngIf="f1.size.errors.required">Size is required</div>
                            </div>
                        </div>
                        <div class="col-sm-3 mb-3 mb-sm-0">
                            <label>Total Quantity</label>
                            <input formControlName="quantity" type="number" class="form-control form-control-user">
                            <div *ngIf="submitted && f1.quantity.errors" class="errors">
                                <div *ngIf="f1.quantity.errors.required">Quantity is required</div>
                            </div>
                        </div>
                        <div class="col-sm-3 mb-3 mb-sm-0">
                            <input type="submit" value="submit" class="mt-4 btn btn-main btn-block">
                        </div>
                    </div>
                </form>
                <hr>
                <div class="row">
                    <div class="table-responsive">
                        <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                            <thead>
                                <tr>
                                    <th>carton Number</th>
                                    <th>Size</th>
                                    <th>Quantity</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr *ngFor="let carton of cartons | paginate: { itemsPerPage: 10, currentPage: p }">
                                    <td>{{carton.carton_number}}</td>
                                    <td>{{carton.size}}</td>
                                    <td>{{carton.quantity}}</td>
                                </tr>
                                <tr *ngIf="cartons==''">
                                    <td colspan="3" class="text-center">No Records Found</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                    <div class="row d-flex justify-content-center">
                        <pagination-controls *ngIf="carton!=''" class="my-pagination" (pageChange)="p = $event">
                        </pagination-controls>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>